hledger-1.41: Command-line interface for the hledger accounting system

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Anon

Description

Instances for obfuscating sensitive data (mainly text, not numbers) in various types.

Currently this is deterministic and does not provide much privacy. It has been moved to a hidden --obfuscate flag, with the old --anon flag now raising an error. See https://github.com/simonmichael/hledger/issues/2133 .

Synopsis

- class Anon a where
  - anon :: a -> a
- anonAccount :: AccountName -> AccountName

# Documentation

class Anon a where #

Methods

anon :: a -> a #

Consistent converter to structure with sensitive data anonymized

#### Instances

Instances details

Anon Journal # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Journal -> Journal #
Anon Posting # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Posting -> Posting #
Anon Transaction # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Transaction -> Transaction #
Anon Text # |
Instance details Defined in Hledger.Cli.Anon Methods anon :: Text -> Text #

anonAccount :: AccountName -> AccountName #

Anonymize account name preserving hierarchy